package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecConsumeForecast;

import java.util.List;

/**
 * 电力消耗预测Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-12
 */
public interface ElecConsumeForecastMapper {
    /**
     * 查询电力消耗预测
     *
     * @param id 电力消耗预测主键
     * @return 电力消耗预测
     */
    ElecConsumeForecast selectForecastById(Long id);

    /**
     * 查询电力消耗预测列表
     *
     * @param forecast 电力消耗预测
     * @return 电力消耗预测集合
     */
    List<ElecConsumeForecast> selectForecastList(ElecConsumeForecast forecast);

    /**
     * 新增电力消耗预测
     *
     * @param forecast 电力消耗预测
     * @return 结果
     */
    int insertForecast(ElecConsumeForecast forecast);

    /**
     * 修改电力消耗预测
     *
     * @param forecast 电力消耗预测
     * @return 结果
     */
    int updateForecast(ElecConsumeForecast forecast);

    /**
     * 删除电力消耗预测
     *
     * @param id 电力消耗预测主键
     * @return 结果
     */
    int deleteForecastById(Long id);

    /**
     * 批量删除电力消耗预测
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteForecastByIds(Long[] ids);

    List<ElecConsumeForecast> calcForecastDateRange(ElecConsumeForecast forecast);
}
